#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module

%define		module	pycoin
Summary:	Bitcoin utility library
Summary(pl.UTF-8):	Biblioteka narzędziowa Bitcoin
Name:		python-pycoin
Version:	0.24
Release:	11
License:	MIT
Group:		Libraries/Python
#Source0Download: https://github.com/richardkiss/pycoin/releases
#TODO: use	https://github.com/richardkiss/pycoin/archive/%{version}/pycoin-%{version}.tar.gz
Source0:	https://github.com/richardkiss/pycoin/archive/%{version}.tar.gz
# Source0-md5:	512f17827323eb1ba2bfe7952829575d
URL:		https://github.com/richardkiss/pycoin
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an implementation of a bunch of utility routines that may be
useful when dealing with Bitcoin stuff.

%description -l pl.UTF-8
Implementacja zbioru funkcji narzędziowych, które mogą być przydatne
przy operowaniu na Bitcoinach.

%package -n python3-%{module}
Summary:	Bitcoin utility library
Summary(pl.UTF-8):	Biblioteka narzędziowa Bitcoin
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
This is an implementation of a bunch of utility routines that may be
useful when dealing with Bitcoin stuff.

%description -n python3-%{module} -l pl.UTF-8
Implementacja zbioru funkcji narzędziowych, które mogą być przydatne
przy operowaniu na Bitcoinach.

%package -n %{module}
Summary:	Bitcoin utility library - tools
Summary(pl.UTF-8):	Biblioteka narzędziowa Bitcoin - narzędzia
Group:		Libraries/Python
Requires:	python%{?with_python3:3}
Requires:	python%{?with_python3:3}-%{module} = %{version}-%{release}
Requires:	python%{?with_python3:3}-distribute

%description -n %{module}
Tools that use pycoin library.

%description -n %{module} -l pl.UTF-8
Narzędzia wykorzystująca bibliotekę pycoin.

%prep
%setup  -q -n pycoin-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%py_install
%endif

%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*egg-info
%{_examplesdir}/python-%{module}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES CREDITS README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/*egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif

%files -n %{module}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bu
%attr(755,root,root) %{_bindir}/genwallet
%attr(755,root,root) %{_bindir}/spend
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycoin.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 50fb3a5
- release 11 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 6ce7b51
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 97cd99a
- rebuild with python 3.8
- release 10 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b21916
- release 9 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a51cc8c
- python 3.6
- release 8 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 5db57e8
- user rpm python macros
- rel 7

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c5be010
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 686ce46
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3424da5
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2192a67
- python3.5 rebuild
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 21fb0d8
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 54771f9
- python 3.4
- release 3 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> c3ae2eb
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 060733d
- rel 2; R python-distribute

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a6c196c
- initial

